

.check_default {
    align-items: center;
    & input[type="checkbox"] ~ .check__icon:after {
        border-radius: 2px;
    }
    & input[type="radio"] ~ .check__icon {
        border-radius: 50%;
    }
    & input[type="radio"] ~ .check__icon:before,
    & input[type="radio"] ~ .check__icon:after {
        border-radius: 50%;
        //background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='%23000'%3E%3Ccircle cx='10' cy='10' r='5'/%3E%3C/svg%3E");
    }
    & input:checked ~ .check__icon:before,
    & input:checked ~ .check__thumb:before {
        opacity: 1;
    }
    & input:checked ~ .check__thumb > * {
        opacity: 0.5;
    }
    & .check {
        &__icon {
            .flex-item_0;
            width: @checkbox-width;
            height: @checkbox-width;
            margin: -@checkbox-width/4 @checkbox-width/2 -@checkbox-width/4 0;
            background-color: #fff;
        }

        &__content {
            .flex-item_1;
            display: block;
        }
        &__title {
            .flex-item_1;
            display: block;
        }
        &__description {
            .fs_xs;
            .mt_xxs;
            color: @c-grey;
        }
        &__icon:after {
            .beforeafter;
            z-index: 1;
            top:0;
            left:0;
            width: 100%;
            height:100%;
            .shadow_1;
            //box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.3) inset, 0 0 1px 1px rgba(0, 0, 0, 0.2) inset;
            box-sizing: border-box;
        }
        &__icon:before,
        &__thumb:before {
            content: "";
            display: block;
            z-index: 5;
            position: absolute;
            transition: opacity @duration @easing;
            opacity: 0;
            background-color: @c-title;
        }
        &__icon:before {
            width: 50%;
            height: 50%;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
        }
        &__title {
            color: @c-text;
            transition: color @duration @easing;
            //margin-top: 0.1em;
        }

    }
    &:hover {
        & .check {
            &__title {
                color: @c-link;
            }
        }
    }
    & input:focus ~ .check__title {
        color: @c-link;
    }
    & input:checked ~ .check__title {
        color: @c-title;
    }
}
